commit:     6748844e5a0cdfc56ddeb8b0de86db748dbafff0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  2 11:39:01 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov  2 11:39:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6748844e

dev-python/pychm: Bump to 0.8.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pychm/Manifest           |  1 +
 dev-python/pychm/pychm-0.8.5.ebuild | 26 ++++++++++++++++++++++++++
 2 files changed, 27 insertions(+)

diff --git a/dev-python/pychm/Manifest b/dev-python/pychm/Manifest
index 0aa9cf92cd2..99c807879f1 100644
--- a/dev-python/pychm/Manifest
+++ b/dev-python/pychm/Manifest
@@ -1 +1,2 @@
 DIST pychm-0.8.4.tar.gz 28803 BLAKE2B 
c6b66c83b1bd5b20280cb60636ccf2780f665fd589b107542c887fc791642f780701b84c8863883e02496c626b92552e3bbfdacd025723fccdb7947de62ada61
 SHA512 
0c0c107e59ea9f5fef97a0c2869349b5e90fc9eb7a37c35e8a929eaf764c7abe5a06a389340a912b9ba2f71172f3c94a78da016707bb201bbd07bdc3feddfe0d
+DIST pychm-0.8.5.gh.tar.gz 23539 BLAKE2B 
4671ccca56153ee493f239de46a01c9e878448f46ecb7e1a39156457562d7f7ac951007e04bd534ea26455da68607eab9b2e2266eed71a7b14c90f103888887e
 SHA512 
3f6b175710880fd4e45c4407af06bec580839517727ee0f5f706747c78be727171f7f8ad2d8fa9add0065825556c3a5d48cc1a6016705f34569350c495f5710d

diff --git a/dev-python/pychm/pychm-0.8.5.ebuild 
b/dev-python/pychm/pychm-0.8.5.ebuild
new file mode 100644
index 00000000000..301661fc7b7
--- /dev/null
+++ b/dev-python/pychm/pychm-0.8.5.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the chmlib library"
+HOMEPAGE="https://github.com/dottedmag/pychm";
+SRC_URI="https://github.com/dottedmag/pychm/archive/v${PV}.tar.gz -> 
${P}.gh.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-libs/chmlib"
+DEPEND="${RDEPEND}
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_test() {
+       pytest -vv || die
+}

Reply via email to